#!/bin/sh

. $PKGTOOLS/pkg_subr.sh

MY_VERSION=${PKGMNT##*-}

# Override make_symlink
# since we only change links pointing to older mount point
# or if the target does not exist (downgrading)
make_symlink() {
    local src=$1
    local target=$DESTDIR${2#$DESTDIR}
    local d=${target%/*}
    local old old_version

    if test -d $d; then
        if test -L $target; then
            old=`read_link $target`
            case "$old" in
            $src)       return 0;;
            ${PKGMNT%-*}-*)
                if Exists --bf $old $DESTDIR$old > /dev/null; then
                    old_version=`echo "$old" |
                        sed "s,${PKGMNT%/*}/,,;s,/.*,,;s,.*-,,"`
                    test $old_version -gt $MY_VERSION && return 0
                fi
                ;;
            esac
            rm -f $target
        fi
    else
        mkdir -p $d
    fi
    ln -sf ${src#$DESTDIR} $target
}

# make symlinks for everything
find $PKGMNT/ -type f -or -type l |
sed -e "s,$PKGMNT\(/.*\),& \1," |
make_symlinks
